# $Revision: 1.2 $, $Date: 2002/10/11 16:20:07 $
%include	/usr/lib/rpm/macros.php
%define		_class		Image
%define		_subclass	Transform
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - standard interface to manipulate images using different libraries
Summary(pl):	%{_pearname} - standardowy interfejs do manipulacji rysunkami przy uyciu rnych bibliotek
Name:		php-pear-%{_pearname}
Version:	0.2
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
Patch0:		%{name}-cosmetic.patch
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package was written to provide a simpler and cross-library
interface to doing image transformations and manipulations.

It provides :
 - support for GD, ImageMagick, Imagick and NetPBM,
 - files related functions,
 - addText,
 - Scale (by length, percentage, maximum X/Y),
 - Resize,
 - Rotate (custom angle),
 - Add border (soon),
 - Add shadow (soon).

%description -l pl
Pakiet zosta zrobiony, aby zapewni prosty interfejs do rnych
bibliotek pozwalajcy na transformacje i manipulacje rysunkami.

Dostarcza:
 - wsparcie dla GD, ImageMagick, Imagick oraz NetPBM,
 - funkcje zwizane z plikami,
 - addText,
 - skalowanie (do wielkoci, procentowe, maksymalne X/Y),
 - zmiana wielkoci,
 - obroty (rne kty),
 - dodanie brzegw (wkrtce),
 - dodanie cienia (wkrtce).

%prep
%setup -q -c
%patch0 -p1 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/Driver

install %{_pearname}-%{version}/%{_subclass}.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/
install %{_pearname}-%{version}/Driver/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/Driver

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/Examples/*
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Driver
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Driver/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Image_Transform.spec,v $
Revision 1.2  2002/10/11 16:20:07  misto
- typo
- release 2

Revision 1.1  2002/09/13 12:10:23  blues
- initial release - STBR

